package com.bonus.canteen.core.supply.purchase.service;


import com.bonus.canteen.core.supply.purchase.domain.param.DrpContractCommitDTO;
import com.bonus.canteen.core.supply.purchase.domain.param.DrpContractPageDTO;
import com.bonus.canteen.core.supply.purchase.domain.vo.DrpContractPageVO;

import java.util.List;

public interface DrpProcurementContractService {
   String commit(DrpContractCommitDTO content);

   List<DrpContractPageVO> page(DrpContractPageDTO content);

   DrpContractPageVO detail(String content);

   void remove(String content);

   void close(String content);
}
